Не могу ничего поставить или обновить

вопросы по устройству ВДС, ресурсам, предустановленному софту и т.д.

Модераторы: Art.i, garry

Не могу ничего поставить или обновить

Сообщение terol » Сб дек 26, 2015 1:51 am

В процессе обновления сервера уткнулся что не могу обновить ядро (Тариф VDS-Start OVZ) техподержка сказала что не судьба, "особенности виртуализаци". После этого не могу поставить ни приложение ни обновление - получаю сообщение:

Код: выделить все
# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-3.13.0-74-generic : Depends: linux-image-3.13.0-74-generic but it is not installed
 linux-image-generic : Depends: linux-image-3.13.0-74-generic but it is not installed
E: Unmet dependencies. Try using -f.
#


команда
apt-get -f install тоже ломается (ну потому что ядро не обновить )

Код: выделить все
# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  linux-image-3.13.0-74-generic
Suggested packages:
  fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
The following NEW packages will be installed:
  linux-image-3.13.0-74-generic
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
19 not fully installed or removed.
Need to get 0 B/15.2 MB of archives.
After this operation, 42.5 MB of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 106309 files and directories currently installed.)
Preparing to unpack .../linux-image-3.13.0-74-generic_3.13.0-74.118_amd64.deb ...
Done.
Unpacking linux-image-3.13.0-74-generic (3.13.0-74.118) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-74-generic_3.13.0-74.118_amd64.deb (--unpack):
 unable to create `/boot/vmlinuz-3.13.0-74-generic.dpkg-new' (while processing `./boot/vmlinuz-3.13.0-74-generic'): Permission denied
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-74-generic /boot/vmlinuz-3.13.0-74-generic
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-3.13.0-74-generic_3.13.0-74.118_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
#


Вопрос, как починить? Заранее благодарен!

С уважением,
Terol
terol
 
Сообщений: 2
Зарегистрирован: Сб дек 26, 2015 1:23 am

Re: Не могу ничего поставить или обновить

Сообщение ls » Сб дек 26, 2015 4:10 am

На OpenVZ не ставится никакое ядро.
Там используется общее ядро для всех VDS
* FirstVDS в twitter в facebook и в вконтакте *
ls
Support team
 
Сообщений: 6397
Зарегистрирован: Чт мар 01, 2007 10:36 am
Откуда: FirstVDS

Re: Не могу ничего поставить или обновить

Сообщение terol » Сб дек 26, 2015 10:19 am

ls писал(а):На OpenVZ не ставится никакое ядро.
Там используется общее ядро для всех VDS

Да это я уже понял, вопрос как откатится и получить возможность ставить обновления.
terol
 
Сообщений: 2
Зарегистрирован: Сб дек 26, 2015 1:23 am


Вернуться в Вопросы о работе сервера

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 5